%global _empty_manifest_terminate_build 0
Name:		python-jeepney
Version:	0.8.0
Release:	2
Summary:	Low-level, pure Python DBus protocol wrapper.
License:	MIT
URL:		https://gitlab.com/takluyver/jeepney
Source0:	https://files.pythonhosted.org/packages/d6/f4/154cf374c2daf2020e05c3c6a03c91348d59b23c5366e968feb198306fdf/jeepney-0.8.0.tar.gz
BuildArch:	noarch

Requires:	python3-testpath

%description
This is a low-level, pure Python DBus protocol client. It has an `I/O-free
<https://sans-io.readthedocs.io/>`__ core, and integration modules for different
event loops.

DBus is an inter-process communication system, mainly used in Linux.

`Jeepney docs on Readthedocs <https://jeepney.readthedocs.io/en/latest/>`__

This project is experimental, and there are a
number of `more mature Python DBus bindings <https://www.freedesktop.org/wiki/Software/DBusBindings/#python>`__.

%package -n python3-jeepney
Summary:	Low-level, pure Python DBus protocol wrapper.
Provides:	python-jeepney
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-flit-core

%description -n python3-jeepney
This is a low-level, pure Python DBus protocol client. It has an `I/O-free
<https://sans-io.readthedocs.io/>`__ core, and integration modules for different
event loops.

DBus is an inter-process communication system, mainly used in Linux.

`Jeepney docs on Readthedocs <https://jeepney.readthedocs.io/en/latest/>`__

This project is experimental, and there are a
number of `more mature Python DBus bindings <https://www.freedesktop.org/wiki/Software/DBusBindings/#python>`__.

%package help
Summary:	Development documents and examples for jeepney
Provides:	python3-jeepney-doc

%description help
This is a low-level, pure Python DBus protocol client. It has an `I/O-free
<https://sans-io.readthedocs.io/>`__ core, and integration modules for different
event loops.

DBus is an inter-process communication system, mainly used in Linux.

`Jeepney docs on Readthedocs <https://jeepney.readthedocs.io/en/latest/>`__

This project is experimental, and there are a
number of `more mature Python DBus bindings <https://www.freedesktop.org/wiki/Software/DBusBindings/#python>`__.

%prep
%autosetup -n jeepney-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install jeepney==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jeepney -f filelist.lst
%dir %{python3_sitelib}/*
%{python3_sitelib}/jeepney

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu May 4 2023 caodongxia <caodongxia@h-partners.com> - 0.8.0-2
- Adapting to the pyproject.toml compilation mode

* Wed Nov 02 2022 wangjunqi <wangjunqi@kylinos.cn> - 0.8.0-1
- Update package to version 0.8.0

* Mon Jul 25 2022 renliang16 <renliang@uniontech.com> - 0.7.1-1
- Upgrade package python3-jeepney to version 0.7.1

* Thu Dec 3 2020 baizhonggui <baizhonggui@huawei.com>
- Package init

